from netbox.api.serializers import NetBoxModelSerializer
from ..models import AWX, AWXInventory


class AWXSerializer(NetBoxModelSerializer):

    class Meta:
        model = AWX
        fields = (
            "id",
            "display",
            "name",
            "url",
            "token",
            "tags",
            "custom_fields",
            "created",
            "last_updated",
        )

class AWXInventorySerializer(NetBoxModelSerializer):

    class Meta:
        model = AWXInventory
        fields = (
            "id",
            "display",
            "awx",
            "inventory_id",
            "tags",
            "custom_fields",
            "created",
            "last_updated",
        )
